A B C D E F G H I J K L M N O P Q R S T U V W X Y Z _

A

AbstractTestData - Class in com.kms.katalon.core.testdata
AbstractTestData(String, boolean) - Constructor in AbstractTestData
activeHeaders(boolean) - Method in AbstractTestData
Set if this test data has headers
activeHeaders(boolean) - Method in CSVData
Set if this test data has headers
activeHeaders(boolean) - Method in TestData
Set if this test data has headers
AfterTestCase - Annotation Type in com.kms.katalon.core.annotation
Marks method that will be invoked after every test case launches.
AfterTestSuite - Annotation Type in com.kms.katalon.core.annotation
Marks method that will be invoked after every test suite launches.
APP_INFO_FILE_LOCATION - Field in RunConfiguration
APP_VERSION - Field in RunConfiguration
ApplicationRunningMode - Class in com.kms.katalon.core.util
AUTO_APPLY_NEIGHBOR_XPATHS - Field in RunConfiguration

B

BASE_INDEX - Field in TestData
BeforeTestCase - Annotation Type in com.kms.katalon.core.annotation
Marks method that will be invoked before every test case launches.
BeforeTestSuite - Annotation Type in com.kms.katalon.core.annotation
Marks method that will be invoked before every test suite launches.
build() - Method in RestRequestObjectBuilder
BuiltinKeywords - Class in com.kms.katalon.core.keyword

C

callTestCase(TestCase, Map) - Method in BuiltinKeywords
Call and execute another test case
Checkpoint - Class in com.kms.katalon.core.checkpoint
Checkpoint(String) - Constructor in Checkpoint
CHECKPOINT_DATA_TYPE - Field in Checkpoint
CheckpointCell - Class in com.kms.katalon.core.checkpoint
Checkpoint Cell
CheckpointCell(Object, boolean) - Constructor in CheckpointCell
CheckpointFactory - Class in com.kms.katalon.core.checkpoint
comment(String) - Method in BuiltinKeywords
concatenate(String) - Method in BuiltinKeywords
Concatenate string array into a single string
ConditionType - Enum in com.kms.katalon.core.testobject
ConsoleCommandExecutor - Class in com.kms.katalon.core.util
CSVData - Class in com.kms.katalon.core.testdata
CSVData(String, boolean, CSVSeparator) - Constructor in CSVData

D

DBData - Class in com.kms.katalon.core.testdata
DBData(DatabaseConnection, String) - Constructor in DBData
delay(Object) - Method in BuiltinKeywords
Delay execution for a specific time (in seconds)
description - Field in SetUp
@default String description() default ""
description - Field in TearDown
@default String description() default ""
description - Field in TearDownIfError
@default String description() default ""
description - Field in TearDownIfFailed
@default String description() default ""
description - Field in TearDownIfPassed
@default String description() default ""
DriverType - Interface in com.kms.katalon.core.driver

E

ExcelData - Class in com.kms.katalon.core.testdata
ExcelData(String, boolean) - Constructor in ExcelData
EXCUTION_DEFAULT_FAILURE_HANDLING - Field in RunConfiguration
EXCUTION_SOURCE_DESCRIPTION - Field in RunConfiguration
EXCUTION_SOURCE_ID - Field in RunConfiguration
EXCUTION_SOURCE_NAME - Field in RunConfiguration
EXCUTION_SOURCE - Field in RunConfiguration
EXECUTION_DRIVER_PROPERTY - Field in RunConfiguration
EXECUTION_GENERAL_PROPERTY - Field in RunConfiguration
EXECUTION_PREFS_PROPERTY - Field in RunConfiguration
EXECUTION_PROFILE_PROPERTY - Field in RunConfiguration
EXECUTION_PROPERTY - Field in RunConfiguration
EXECUTION_SYSTEM_PROPERTY - Field in RunConfiguration
EXECUTION_TEST_DATA_INFO_PROPERTY - Field in RunConfiguration
ExistingDriverType - Class in com.kms.katalon.core.driver
ExistingDriverType(String) - Constructor in ExistingDriverType

F

FailureHandling - Enum in com.kms.katalon.core.model
Enum for flow control for test execution
findCheckpoint(String) - Method in CheckpointFactory
Finds Checkpoint by its id
findTestCase(String) - Method in TestCaseFactory
Finds TestCase by its id or relative id
findTestData(String) - Method in TestDataFactory
Finds TestData by its id or relative id
findTestDataForExternalBundleCaller(String, String) - Method in TestDataFactory
FormDataBodyParameter - Class in com.kms.katalon.core.testobject
FormDataBodyParameter(String, String, String) - Constructor in FormDataBodyParameter
fromValue(String) - Method in ConditionType
fromValue(String) - Method in TestDataType

G

get() - Method in ApplicationRunningMode
get_katalonRequestInformation() - Method in KatalonHarEntry
getAllData() - Method in CSVData
Collect all data of this test data
getAllData() - Method in DBData
Collect all data of this test data
getAllData() - Method in ExcelData
Collect all data of this test data
getAllData() - Method in InternalData
Collect all data of this test data
getAllData() - Method in TestData
Collect all data of this test data
getAppiumDirectory() - Method in RunConfiguration
getAppiumLogFilePath() - Method in RunConfiguration
getAppVersion() - Method in RunConfiguration
Get the current version of Katalon Studio
getAutoApplyNeighborXpaths() - Method in RunConfiguration
getBindedValues() - Method in TestCaseBinding
getBodyContent() - Method in HttpMessage
getBodyContent() - Method in RequestObject
Gets the body content of request.
getBodyContent() - Method in ResponseObject
getBooleanProperty(String, Map<String, Object>) - Method in RunConfiguration
getCapturedObjectsCacheFile() - Method in RunConfiguration
getCharset() - Method in HttpFormDataBodyContent
getCharset() - Method in HttpTextBodyContent
getCharset() - Method in HttpUrlEncodedBodyContent
getCheckpointColumnNumbers() - Method in Checkpoint
Get the total column numbers of the checkpoint
getCheckpointData() - Method in Checkpoint
Get the checkpoint data
getCheckpointRowNumbers() - Method in Checkpoint
Get the total row numbers of the checkpoint
getCollectedTestDataProperties() - Method in RunConfiguration
getColumnName() - Method in TestDataColumn
getColumnNames() - Method in CSVData
Get all column names of the test data
getColumnNames() - Method in DBData
Get all column names of the test data
getColumnNames() - Method in InternalData
Get all column names of the test data
getColumnNames() - Method in TestData
Get all column names of the test data
getColumnNumbers() - Method in CSVData
Get total column of the test data
getColumnNumbers() - Method in DBData
Get total column of the test data
getColumnNumbers() - Method in InternalData
Get total column of the test data
getColumnNumbers() - Method in TestData
Get total column of the test data
getCondition() - Method in TestObjectProperty
Get the condition for this property
getCondition() - Method in TestObjectXpath
getContentCharset() - Method in ResponseObject
@return Returns the Charset specified in the Content-Type of this response or the "UTF-8" charset as a default.
getContentDownloadTime() - Method in PerformanceResourceTiming
The amount of time that starts from first byte comes until the last byte comes.
getContentDownloadTime() - Method in ResponseObject
getContentEncoding() - Method in HttpBodyContent
The Content-Encoding header of a request/response, if known.
getContentEncoding() - Method in HttpFileBodyContent
getContentEncoding() - Method in HttpFormDataBodyContent
getContentEncoding() - Method in HttpTextBodyContent
getContentEncoding() - Method in HttpUrlEncodedBodyContent
getContentLength() - Method in HttpBodyContent
The Content-Length header of a request/response, if known.
getContentLength() - Method in HttpFileBodyContent
getContentLength() - Method in HttpFormDataBodyContent
getContentLength() - Method in HttpTextBodyContent
getContentLength() - Method in HttpUrlEncodedBodyContent
getContentType() - Method in HttpBodyContent
The Content-Type header of a request/response, if known.
getContentType() - Method in HttpFileBodyContent
getContentType() - Method in HttpFormDataBodyContent
getContentType() - Method in HttpTextBodyContent
getContentType() - Method in HttpUrlEncodedBodyContent
getContentType() - Method in ResponseObject
Get the content type
getData() - Method in CSVData
Collect all data of this csv data with type as String
getData() - Method in DBData
getData() - Method in InternalData
getDataInfo() - Method in AbstractTestData
getDataInfo() - Method in DBData
getDataInfo() - Method in TestData
Used for logging
getDefaultFailureHandling() - Method in RunConfiguration
getDefaultValue() - Method in Variable
getDescription() - Method in Checkpoint
Get the description
getDescription() - Method in TestCase
getDeviceConsoleExecutable() - Method in RunConfiguration
getDriverExecutionProperties(String) - Method in RunConfiguration
getDriverPreferencesProperties() - Method in RunConfiguration
getDriverPreferencesProperty(String, String) - Method in RunConfiguration
getDriverSystemProperties(String) - Method in RunConfiguration
getDriverSystemProperty(String, String, String) - Method in RunConfiguration
getElapsedTime() - Method in PerformanceResourceTiming
The total time that starts from the request is sent until Katalon receives the last byte of the response.
getElapsedTime() - Method in ResponseObject
getExecutionGeneralProperties() - Method in RunConfiguration
getExecutionProfile() - Method in RunConfiguration
Returns name of selected execution profile.
getExecutionProperties() - Method in RunConfiguration
getExecutionSource() - Method in RunConfiguration
Get the absolute path of the executed target ( test case | test suite | test suite collection )
getExecutionSourceDescription() - Method in RunConfiguration
Get the description of the executed target ( test case | test suite | test suite collection )
getExecutionSourceId() - Method in RunConfiguration
Get the id of the executed target ( test case | test suite | test suite collection )
getExecutionSourceName() - Method in RunConfiguration
Get the name of the executed target ( test case | test suite | test suite collection )
getExisingSessionDriverType() - Method in RunConfiguration
getExisingSessionServerUrl() - Method in RunConfiguration
getExisingSessionSessionId() - Method in RunConfiguration
getGroovyScriptClassName() - Method in TestCase
getGroovyScriptPath() - Method in TestCase
getHarId() - Method in RequestInformation
getHeaderFields() - Method in ResponseObject
Get the header fields as a Map
getHeaderRowIdx() - Method in AbstractTestData
getHostAddress() - Method in RunConfiguration
getHostName() - Method in RunConfiguration
Get the host name of the current execution machine
getHostProperties() - Method in RunConfiguration
getHttpBody() - Method in RequestObject
Get the http body for this request object
getHttpHeaderProperties() - Method in RequestObject
Get the http headers of this request object
getId() - Method in Checkpoint
Get the id
getInfo() - Method in TestDataInfo
getInputStream() - Method in HttpBodyContent
@return content stream of the request/response.
getInputStream() - Method in HttpFileBodyContent
getInputStream() - Method in HttpFormDataBodyContent
getInputStream() - Method in HttpTextBodyContent
getInputStream() - Method in HttpUrlEncodedBodyContent
getIntProperty(String) - Method in RunConfiguration
getKey() - Method in TestDataInfo
getLogbackConfigFile() - Method in LogbackUtil
getLogbackConfigFileLocation() - Method in RunConfiguration
getLogFolderPath() - Method in RunConfiguration
Get the absolute path of the execution folder that contains log files
getMaxColumn(int) - Method in ExcelData
Get the max column of a row
getMessage() - Method in TestCaseContext
Returns error message if test case fails
getMetaFilePath() - Method in TestCase
getMode() - Method in RunningMode
getName() - Method in DriverType
getName() - Method in ExistingDriverType
getName() - Method in FormDataBodyParameter
getName() - Method in RequestInformation
getName() - Method in RequestObject
Get the name of this request object
getName() - Method in TestCase
getName() - Method in TestObjectProperty
Get name of this property
getName() - Method in TestObjectXpath
getName() - Method in UrlEncodedBodyParameter
getName() - Method in Variable
getNewClassScript() - Method in TestDataColumn
getObjectId() - Method in RequestObject
Get the id of this request object
getObjectValue(String, int) - Method in AbstractTestData
Get raw value of the test data at a cell with the column name and row index
getObjectValue(int, int) - Method in TestData
Get raw value of the test data at a cell with the column index and row index
getOriginalDriverName() - Method in ExistingDriverType
getOS() - Method in RunConfiguration
Get the information of the OS of the current execution machine
getOverridingGlobalVariable(String) - Method in RunConfiguration
getOverridingParameters() - Method in RunConfiguration
getPort() - Method in RunConfiguration
getProjectDir() - Method in RunConfiguration
Get the absolute path of the current project's folder
getProperty(String) - Method in RunConfiguration
getPropertyKey() - Method in DriverType
getPropertyKey() - Method in ExistingDriverType
getPropertyValue() - Method in DriverType
getPropertyValue() - Method in ExistingDriverType
getProxyInformation() - Method in RunConfiguration
getRecorderSetting() - Method in RunConfiguration
getReportFolder() - Method in RunConfiguration
getResponseBodyContent() - Method in ResponseObject
Get the response body content as a String
getResponseBodySize() - Method in ResponseObject
getResponseHeaderSize() - Method in ResponseObject
Returns headers size (byte) as long value of the response.
getResponseSize() - Method in ResponseObject
Returns size (byte) as long value of the response.
getResponseText() - Method in ResponseObject
Get the raw response text
getRestParameters() - Method in RequestObject
Get the rest parameters of this request object if it is a "RESTful" request object
getRestRequestMethod() - Method in RequestObject
Get the rest request of this request object if it is a "RESTful" request object
getRestUrl() - Method in RequestObject
Get the rest url of this request object if it is a "RESTful" request object
getRetrievedDate() - Method in DBData
getRowNumbers() - Method in CSVData
Get total rows of the test data
getRowNumbers() - Method in DBData
Get total rows of the test data
getRowNumbers() - Method in InternalData
Get total rows of the test data
getRowNumbers() - Method in TestData
Get total rows of the test data
getRunningMode() - Method in RunConfiguration
getSelectorCollection() - Method in SelectorCollector
Returns all selector methods and theirs values.
getSelectorMethod() - Method in SelectorCollector
Returns the selector method that Katalon will use to detect object.
getServiceType() - Method in RequestObject
Return the request type for this request object
getSessionServerHost() - Method in RunConfiguration
getSessionServerPort() - Method in RunConfiguration
getSettingFilePath() - Method in RunConfiguration
getSheetName() - Method in ExcelData
Get the sheet name of this excel data
getSoapBody() - Method in RequestObject
Get the soap body of this request object if it is a "SOAP" request object
getSoapRequestMethod() - Method in RequestObject
Get the soap request method of this request object if it is a "SOAP" request object
getSoapServiceFunction() - Method in RequestObject
Get the soap service function of this request object if it is a "SOAP" request object
getSourceColumnNumbers() - Method in Checkpoint
Get the total column numbers of the source
getSourceData() - Method in Checkpoint
Get the source data
getSourceRowNumbers() - Method in Checkpoint
Get the total row numbers of the source
getSourceUrl() - Method in AbstractTestData
Get the url of the data source
getSourceUrl() - Method in TestData
Get the url of the data source
getStatus() - Method in TestSuiteContext
@since 5.3
getStatusCode() - Method in ResponseObject
Get the status code
getStoredDrivers() - Method in RunConfiguration
getStringProperty(String, Map<String, Object>) - Method in RunConfiguration
getTag() - Method in TestCase
getTakenDate() - Method in Checkpoint
Get the taken date
getTestCaseId() - Method in TestCase
getTestCaseId() - Method in TestCaseBinding
getTestCaseId() - Method in TestCaseContext
@return Id of the current executed test case
getTestCaseId(String) - Method in TestCaseFactory
Returns test case id of a its relative id.
getTestCaseName() - Method in TestCaseBinding
getTestCaseRelativeId(String) - Method in TestCaseFactory
Returns relative id of a test case's id.
getTestCaseStatus() - Method in TestCaseContext
Returns test status after the test case execution completes.
getTestCaseVariables() - Method in TestCaseContext
@return A map stores variables (key is variable's name, value is variable's value) that were used in the current test case.
getTestData() - Method in TestCase
getTestDataId() - Method in TestDataColumn
getTestDataId(String) - Method in TestDataFactory
Returns test data id of a its relative id.
getTestDataRelativeId(String) - Method in TestDataFactory
Returns relative id of a test data's id.
getTestObjectId() - Method in RequestInformation
getTestSuiteId() - Method in TestSuiteContext
@since 5.1
getText() - Method in HttpTextBodyContent
getTimeOut() - Method in RunConfiguration
Get the execution time out (in seconds)
getType() - Method in CSVData
Get the type of the test data
getType() - Method in DBData
Get the type of the test data
getType() - Method in ExcelData
Get the type of the test data
getType() - Method in FormDataBodyParameter
getType() - Method in InternalData
Get the type of the test data
getType() - Method in TestData
Get the type of the test data
getValue(String, int) - Method in AbstractTestData
Get value (in String) of the test data at a cell with the column name and row index
getValue() - Method in CheckpointCell
Get value of the cell
getValue() - Method in FormDataBodyParameter
getValue(int, int) - Method in TestData
Get value (in String) of the test data at a cell with the column index and row index
getValue() - Method in TestObjectProperty
Get the value of this property
getValue() - Method in TestObjectXpath
getValue() - Method in UrlEncodedBodyParameter
getVariableName() - Method in TestDataColumn
getVariables() - Method in RequestObject
getVariables() - Method in TestCase
getVerificationScript() - Method in RequestObject
getWaitingTime() - Method in PerformanceResourceTiming
The amount of time that starts from the request is sent until the fist byte comes.
getWaitingTime() - Method in ResponseObject
getWsdlAddress() - Method in RequestObject
Get the wsdl address of this request object if it is a "SOAP" request object

H

HarFileWriter - Class in com.kms.katalon.core.util
hasHeaders - Field in AbstractTestData
hasHeaders() - Method in TestData
Check if this test data has headers
HOST_ADDRESS - Field in RunConfiguration
HOST_NAME - Field in RunConfiguration
HOST_OS - Field in RunConfiguration
HOST_PORT - Field in RunConfiguration
HOST - Field in RunConfiguration
HttpBodyContent - Interface in com.kms.katalon.core.testobject
Represents the body content of a HTTP message (request/response).
HttpFileBodyContent - Class in com.kms.katalon.core.testobject.impl
Represents the body content of a HTTP message (request/response) that obtains content from a File.
HttpFileBodyContent(String) - Constructor in HttpFileBodyContent
HttpFormDataBodyContent - Class in com.kms.katalon.core.testobject.impl
Represents the body content of a HTTP message (request/response) that obtains content from a form.
HttpFormDataBodyContent(List<FormDataBodyParameter>) - Constructor in HttpFormDataBodyContent
HttpMessage - Interface in com.kms.katalon.core.testobject
HttpTextBodyContent - Class in com.kms.katalon.core.testobject.impl
Represents the body content of a HTTP message (request/response) that obtains content from a String.
HttpTextBodyContent(String, String, String) - Constructor in HttpTextBodyContent
Concretes an instance with the given text, charset, and charset.
HttpUrlEncodedBodyContent - Class in com.kms.katalon.core.testobject.impl
Represents the body content of a HTTP message (request/response) that obtains content from an URL encoded String
HttpUrlEncodedBodyContent(List<UrlEncodedBodyParameter>, String) - Constructor in HttpUrlEncodedBodyContent

I

InternalData - Class in com.kms.katalon.core.testdata
InternalData(String, List<String[]>, List<String>) - Constructor in InternalData
internallyGetValue(String, int) - Method in AbstractTestData
internallyGetValue(int, int) - Method in CSVData
internallyGetValue(String, int) - Method in DBData
internallyGetValue(int, int) - Method in InternalData
isActive() - Method in TestObjectProperty
Check if this property is active
isActive() - Method in TestObjectXpath
isChecked() - Method in CheckpointCell
Check if this cell is checked
isJsonContentType() - Method in ResponseObject
Check if the content type of this response is json
isMasked() - Method in Variable
isSkipped() - Method in TestCaseContext
@return true if skipThisTestCase() was called
isTextContentType() - Method in ResponseObject
Check if the content type of this response is raw text
isXmlContentType() - Method in ResponseObject
Check if the content type of this response is xml

J

K

KatalonHarEntry - Class in com.kms.katalon.core.util
KatalonHarEntry(HarEntry) - Constructor in KatalonHarEntry
Keyword - Annotation Type in com.kms.katalon.core.annotation
Annotation to mark a method as a keyword ( built-in or custom )
keywordObject - Field in Keyword
@default l"
KeywordUtil - Class in com.kms.katalon.core.util

L

LOG_FILE_PATH_PROPERTY - Field in RunConfiguration
LOGBACK_CONFIG_FILE_LOCATION - Field in RunConfiguration
LogbackUtil - Class in com.kms.katalon.core.util
logInfo(String) - Method in KeywordUtil
Log message as info

M

markError(String) - Method in KeywordUtil
Mark a keyword to be error
markErrorAndStop(String) - Method in KeywordUtil
Mark a keyword to be error and stop execution
markFailed(String) - Method in KeywordUtil
Mark a keyword to be failed and continue execution
markFailedAndStop(String) - Method in KeywordUtil
Mark a keyword to be failed and stop execution
markPassed(String) - Method in KeywordUtil
Mark a keyword to be passed
markWarning(String) - Method in KeywordUtil
Mark a keyword to be warning

N

O

OVERRIDING_GLOBAL_VARIABLES - Field in RunConfiguration

P

PARAM_TYPE_FILE - Field in FormDataBodyParameter
PARAM_TYPE_TEXT - Field in FormDataBodyParameter
PerformanceResourceTiming - Interface in com.kms.katalon.core.testobject
PROJECT_DIR_PROPERTY - Field in RunConfiguration
PROXY_PROPERTY - Field in RunConfiguration

Q

R

readCSVData(Element, String) - Method in TestDataFactory
readDBData(Element, String) - Method in TestDataFactory
readExcelData(Element, String) - Method in TestDataFactory
readInternalData(Element, String, File) - Method in TestDataFactory
RECORD_CAPTURED_OBJECTS_FILE - Field in RunConfiguration
removeDriver(Object) - Method in RunConfiguration
REPORT_FOLDER_PATH_PROPERTY - Field in RunConfiguration
RequestInformation - Class in com.kms.katalon.core.util
RequestObject - Class in com.kms.katalon.core.testobject
RequestObject(String) - Constructor in RequestObject
ResponseObject - Class in com.kms.katalon.core.testobject
ResponseObject(String) - Constructor in ResponseObject
RestRequestObjectBuilder - Class in com.kms.katalon.core.testobject
RestRequestObjectBuilder() - Constructor in RestRequestObjectBuilder
RunConfiguration - Class in com.kms.katalon.core.configuration
Provides access to execution properties and settings
runConsoleCommandAndCollectFirstResult(String) - Method in ConsoleCommandExecutor
runConsoleCommandAndCollectResults(String) - Method in ConsoleCommandExecutor
runConsoleCommandError(String, Map<String, String>, String) - Method in ConsoleCommandExecutor
RUNNING_MODE - Field in RunConfiguration
RunningMode - Enum in com.kms.katalon.core.model

S

SelectorCollector - Interface in com.kms.katalon.core.testobject
SelectorMethod - Enum in com.kms.katalon.core.testobject
SESSION_SERVER_HOST - Field in RunConfiguration
SESSION_SERVER_PORT - Field in RunConfiguration
set_katalonRequestInformation(RequestInformation) - Method in KatalonHarEntry
setActive(boolean) - Method in TestObjectProperty
Set this property to be active
setActive(boolean) - Method in TestObjectXpath
setAppiumLogFilePath(String) - Method in RunConfiguration
setBindedValues(Map<String, Object>) - Method in TestCaseBinding
setBodyContent(HttpBodyContent) - Method in RequestObject
Sets the body content for this request.
setBodyContent(HttpBodyContent) - Method in ResponseObject
setChecked(boolean) - Method in CheckpointCell
Set the checked flag for this cell
setColumnName(String) - Method in TestDataColumn
setCondition(ConditionType) - Method in TestObjectProperty
Set the condition for this property
setCondition(ConditionType) - Method in TestObjectXpath
setContentCharset(String) - Method in ResponseObject
setContentDownloadTime(long) - Method in ResponseObject
setContentType(String) - Method in ResponseObject
Set the content type
setDefaultValue(String) - Method in Variable
setExecutionSetting(Map<String, Object>) - Method in RunConfiguration
setExecutionSettingFile(String) - Method in RunConfiguration
setHarId(String) - Method in RequestInformation
setHeaderFields(Map<String, List<String>>) - Method in ResponseObject
Set the header fields
setHttpBody(String) - Method in RequestObject
Set the http body for this request object
setHttpHeaderProperties(List<TestObjectProperty>) - Method in RequestObject
Set the http headers of this request object
setMasked(boolean) - Method in Variable
setMobileDriverPreferencesProperty(String, Object) - Method in RunConfiguration
setName(String) - Method in RequestInformation
setName(String) - Method in RequestObject
Set the name for this request object
setName(String) - Method in TestObjectProperty
Set the name of this property
setName(String) - Method in TestObjectXpath
setName(String) - Method in Variable
setObjectId(String) - Method in RequestObject
Set the id for this request object
setResponseBodySize(long) - Method in ResponseObject
Returns body size (byte) as long value of the response.
setResponseHeaderSize(long) - Method in ResponseObject
setResponseText(String) - Method in ResponseObject
Set the raw response text
setRestParameters(List<TestObjectProperty>) - Method in RequestObject
Set the rest parameters for this request object
setRestRequestMethod(String) - Method in RequestObject
Set the rest request for this request object
setRestUrl(String) - Method in RequestObject
Set the rest url for this request object
setRunningMode(RunningMode) - Method in ApplicationRunningMode
setSelectorMethod(SelectorMethod) - Method in SelectorCollector
Changes the selector method to detect the object.
setSelectorValue(SelectorMethod, String) - Method in SelectorCollector
Puts a selector value to selectorCollection.
setServiceType(String) - Method in RequestObject
Set the service type for this request object
setSoapBody(String) - Method in RequestObject
Set the soap body for this request object
setSoapRequestMethod(String) - Method in RequestObject
Set the soap request method for this request object
setSoapServiceFunction(String) - Method in RequestObject
Set the soap service function for this request object
setStatusCode(int) - Method in ResponseObject
Set the status code
setTestCaseId(String) - Method in TestCaseBinding
setTestCaseName(String) - Method in TestCaseBinding
setTestDataId(String) - Method in TestDataColumn
setTestObjectId(String) - Method in RequestInformation
SetUp - Annotation Type in com.kms.katalon.core.annotation
Annotation for methods that will run before a test case is run
SetupTestCase - Annotation Type in com.kms.katalon.core.annotation
Annotation for test suite methods that will run before every test case is run
setValue(Object) - Method in CheckpointCell
Set the value to the cell
setValue(String) - Method in TestObjectProperty
Set the value for this property
setValue(String) - Method in TestObjectXpath
setVariableName(String) - Method in TestDataColumn
setVariables(Map<String, Object>) - Method in RequestObject
setVerificationScript(String) - Method in RequestObject
setWaitingTime(long) - Method in ResponseObject
setWebDriverPreferencesProperty(String, Object) - Method in RunConfiguration
setWsdlAddress(String) - Method in RequestObject
Set the wsdl address of this request object
shouldTerminateDriverAfterTestCase() - Method in RunConfiguration
shouldTerminateDriverAfterTestSuite() - Method in RunConfiguration
skipped - Field in SetUp
@default boolean skipped() default false
skipped - Field in SetupTestCase
@default false
skipped - Field in TearDown
@default boolean skipped() default false
skipped - Field in TearDownIfError
@default boolean skipped() default false
skipped - Field in TearDownIfFailed
@default boolean skipped() default false
skipped - Field in TearDownIfPassed
@default boolean skipped() default false
skipped - Field in TearDownTestCase
@default false
skipThisTestCase() - Method in TestCaseContext
Set flag to signal this test case was skipped, implementing class determines further logic if necessary
sourceUrl - Field in AbstractTestData
storeDriver(Object) - Method in RunConfiguration

T

TearDown - Annotation Type in com.kms.katalon.core.annotation
Annotation for methods that will run after a test case is run
TearDownIfError - Annotation Type in com.kms.katalon.core.annotation
Annotation for methods that will run after a test case is error
TearDownIfFailed - Annotation Type in com.kms.katalon.core.annotation
Annotation for methods that will run after a test case is failed
TearDownIfPassed - Annotation Type in com.kms.katalon.core.annotation
Annotation for methods that will run after a test case is passed
TearDownTestCase - Annotation Type in com.kms.katalon.core.annotation
Annotation for test suite methods that will run after every test case is run
TERMINATE_DRIVER_AFTER_TEST_CASE - Field in RunConfiguration
TERMINATE_DRIVER_AFTER_TEST_SUITE - Field in RunConfiguration
TestCase - Class in com.kms.katalon.core.testcase
TestCaseBinding - Class in com.kms.katalon.core.testcase
TestCaseBinding(String, Map<String, Object>) - Constructor in TestCaseBinding
TestCaseContext - Interface in com.kms.katalon.core.context
Provides some related information of the current executed test case.
TestCaseFactory - Class in com.kms.katalon.core.testcase
TestData - Interface in com.kms.katalon.core.testdata
TestDataColumn - Class in com.kms.katalon.core.testdata
TestDataColumn(String, String) - Constructor in TestDataColumn
TestDataFactory - Class in com.kms.katalon.core.testdata
TestDataInfo - Class in com.kms.katalon.core.testdata
TestDataInfo(String, String) - Constructor in TestDataInfo
TestDataType - Enum in com.kms.katalon.core.testdata
TestObjectProperty - Class in com.kms.katalon.core.testobject
TestObjectProperty(String, ConditionType, String, boolean) - Constructor in TestObjectProperty
TestObjectXpath - Class in com.kms.katalon.core.testobject
TestObjectXpath(String, ConditionType, String, boolean) - Constructor in TestObjectXpath
TestSuiteContext - Interface in com.kms.katalon.core.context
Provides some related information of the current executed test suite.
TIMEOUT_PROPERTY - Field in RunConfiguration
toString() - Method in ConditionType
toString() - Method in ExistingDriverType
toString() - Method in ResponseObject
toString() - Method in TestDataType

U

UrlEncodedBodyParameter - Class in com.kms.katalon.core.testobject
UrlEncodedBodyParameter(String, String) - Constructor in UrlEncodedBodyParameter

V

valueStrings() - Method in FailureHandling
Enum for flow control for test execution
Variable - Class in com.kms.katalon.core.testcase
verifyCheckpoint(Checkpoint, boolean) - Method in BuiltinKeywords
Verify Checkpoint
verifyColumnIndex(int) - Method in AbstractTestData
verifyColumnName(String) - Method in AbstractTestData
verifyColumnName(String) - Method in DBData
verifyEqual(Object, Object) - Method in BuiltinKeywords
Verify if two objects are equal.
verifyGreaterThan(Object, Object) - Method in BuiltinKeywords
Verify if the actual number is greater than the expected number
verifyGreaterThanOrEqual(Object, Object) - Method in BuiltinKeywords
Verify if the actual number is greater than or equal with the expected number
verifyLessThan(Object, Object) - Method in BuiltinKeywords
Verify if the actual number is less than the expected number
verifyLessThanOrEqual(Object, Object) - Method in BuiltinKeywords
Verify if the actual number is less than or equal with the expected number
verifyMatch(String, String, boolean) - Method in BuiltinKeywords
Verify if two strings match each other, the second string can be a regular expression.
verifyNotEqual(Object, Object) - Method in BuiltinKeywords
Verify if two objects are not equal.
verifyNotMatch(String, String, boolean) - Method in BuiltinKeywords
Verify if two strings do not match each other, the second string can be a regular expression.
verifyRowIndex(int) - Method in AbstractTestData

W

withFileBodyContent(String) - Method in RestRequestObjectBuilder
Specify the binary body content
withHttpHeaders(List<TestObjectProperty>) - Method in RestRequestObjectBuilder
Specify HTTP headers for the request object
withMultipartFormDataBodyContent(List<FormDataBodyParameter>) - Method in RestRequestObjectBuilder
Specify the body content for multipart/form-data type, default charset UTF-8
withRestParameters(List<TestObjectProperty>) - Method in RestRequestObjectBuilder
Specify the REST parameters for the request object
withRestRequestMethod(String) - Method in RestRequestObjectBuilder
Specify method for the request object
withRestUrl(String) - Method in RestRequestObjectBuilder
withTextBodyContent(String, String) - Method in RestRequestObjectBuilder
Specify the text body content
withUrlEncodedBodyContent(List<UrlEncodedBodyParameter>, String) - Method in RestRequestObjectBuilder
Specify the body content that composes of a list of url-encoded pairs
write(Har, File) - Method in HarFileWriter
writeTo(OutputStream) - Method in HttpBodyContent
Writes the body content out to the output stream.
writeTo(OutputStream) - Method in HttpFileBodyContent
writeTo(OutputStream) - Method in HttpFormDataBodyContent
writeTo(OutputStream) - Method in HttpTextBodyContent
writeTo(OutputStream) - Method in HttpUrlEncodedBodyContent

X

Y

Z

_

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z _